summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/x264/README12
-rw-r--r--multimedia/x264/doinst.sh10
-rw-r--r--multimedia/x264/slack-desc19
-rw-r--r--multimedia/x264/x264.SlackBuild75
-rw-r--r--multimedia/x264/x264.desktop10
-rw-r--r--multimedia/x264/x264.info8
6 files changed, 134 insertions, 0 deletions
diff --git a/multimedia/x264/README b/multimedia/x264/README
new file mode 100644
index 0000000000..662db861dc
--- /dev/null
+++ b/multimedia/x264/README
@@ -0,0 +1,12 @@
+x264 - A free h264/avc encoder.
+
+x264 is a free library for encoding H264/AVC video streams.
+The code is written from scratch by Laurent Aimar, Loren Merritt,
+Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Måns
+Rullgård, Radek Czyz, Christian Heine (asm), Alex Izvorski, and
+Alex Wright. It is released under the terms of the GPL license.
+
+NOTe:
++ By default x264 it's gonna be builded without its GTK GUI, so
+ if you want to enable, set GTKUI variable to yes, like:
+ GTKUI=yes ./x264.SlackBuild
diff --git a/multimedia/x264/doinst.sh b/multimedia/x264/doinst.sh
new file mode 100644
index 0000000000..720a11ee90
--- /dev/null
+++ b/multimedia/x264/doinst.sh
@@ -0,0 +1,10 @@
+
+( if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+ fi
+)
+
+( if [ -x usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+ fi
+)
diff --git a/multimedia/x264/slack-desc b/multimedia/x264/slack-desc
new file mode 100644
index 0000000000..e85efb0300
--- /dev/null
+++ b/multimedia/x264/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+x264: x264 (free h264/avc encoder)
+x264:
+x264: x264 is a free library for encoding H264/AVC video streams.
+x264: The code is written from scratch by Laurent Aimar, Loren Merritt,
+x264: Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Måns
+x264: Rullgård, Radek Czyz, Christian Heine (asm), Alex Izvorski, and
+x264: Alex Wright. It is released under the terms of the GPL license.
+x264:
+x264: Homepage: http://www.videolan.org/developers/x264.html
+x264:
+x264:
diff --git a/multimedia/x264/x264.SlackBuild b/multimedia/x264/x264.SlackBuild
new file mode 100644
index 0000000000..b8a5677b4c
--- /dev/null
+++ b/multimedia/x264/x264.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for x264
+
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=x264
+VERSION=20070722
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+GTKUI=${GTKUI:-no}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-*-$VERSION-*.tar.bz2
+mv $PRGNAM-*-$VERSION-*/ $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$GTKUI" = 'yes' ]; then
+ GTKUIOPT='--enable-gtk'
+else
+ unset -v GTKUIOPT
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ $GTKUIOPT \
+ --enable-pthread \
+ --enable-visualize \
+ --enable-shared
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ "$GTKUI" = 'yes' ]; then
+ mkdir -p $PKG/usr/share/pixmaps
+ cp gtk/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+ mkdir -p $PKG/usr/share/applications
+ cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING doc/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/x264/x264.desktop b/multimedia/x264/x264.desktop
new file mode 100644
index 0000000000..a18e869aa1
--- /dev/null
+++ b/multimedia/x264/x264.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=x264
+GenericName=H264/AVC Encoder
+Comment=A free H264/AVC encoder
+Icon=/usr/share/pixmaps/x264.png
+Exec=x264_gtk_encode
+Terminal=False
+Type=Application
+Categories=Application;AudioVideo
diff --git a/multimedia/x264/x264.info b/multimedia/x264/x264.info
new file mode 100644
index 0000000000..701031f432
--- /dev/null
+++ b/multimedia/x264/x264.info
@@ -0,0 +1,8 @@
+PRGNAM="x264"
+VERSION="20070722"
+HOMEPAGE="http://www.videolan.org/developers/x264.html"
+DOWNLOAD="ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-20070722-2245.tar.bz2"
+MD5SUM="13efbc947b68fca8a861a0bbdaaba1cd"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="alien"